Reviews
Reviews capture customer ratings and feedback for storefront resources. Use review endpoints to create, retrieve, count, query, and remove customer feedback.
The Review object
A review stores a customer rating, written content, photos, and the reviewed subject.
Attributes
idstringoptionalPublic identifier of the review.
subject_idstringoptionalIdentifier of the reviewed subject.
ratingintegeroptionalNumeric review rating.
contentstringoptionalReview text.
customerobjectoptionalCustomer that created the review.
slugstringoptionalURL-friendly review slug.
photosarray of objectsoptionalPhotos attached to the review.
created_attimestampoptionalTime the review was created.
updated_attimestampoptionalTime the review was last updated.
The Review object
{
"id": "review_2xK9mQ1",
"subject_id": "store_3Xb9kL2",
"rating": 5,
"content": "Great pickup experience.",
"customer": null,
"slug": "great-pickup-experience",
"photos": [],
"created_at": "2026-05-07T09:30:00Z",
"updated_at": "2026-05-07T09:30:00Z"
}GET
/v1/reviewsQuery Reviews ❗
Query Reviews ❗
Query parameters
limitstringoptionalLimit value for this reviews request.
offsetstringoptionalOffset value for this reviews request.
sortstringoptionalSort value for this reviews request.
GET
/v1/reviewscurl https://api.fleetbase.io/v1/reviews?limit=&offset=&sort= \
-H "Authorization: Bearer flb_live_…"POST
/v1/reviewsCreate a review
Create a review
Body parameters
contentstringoptionalText content for the comment or message.
ratingintegeroptionalRating value for this reviews request.
POST
/v1/reviewscurl -X POST https://api.fleetbase.io/v1/reviews \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"content": "",
"rating": 5
}'GET
/v1/reviews/countCounts the number of ratings for a store
Counts the number of ratings for a store
GET
/v1/reviews/countcurl https://api.fleetbase.io/v1/reviews/count \
-H "Authorization: Bearer flb_live_…"GET
/v1/reviews/{id}Retrieve a Store review
Retrieve a Store review
GET
/v1/reviews/{id}curl https://api.fleetbase.io/v1/reviews/{id} \
-H "Authorization: Bearer flb_live_…"DELETE
/v1/reviews/{id}Delete a Review
Delete a Review
DELETE
/v1/reviews/{id}curl -X DELETE https://api.fleetbase.io/v1/reviews/{id} \
-H "Authorization: Bearer flb_live_…"